VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Public Attributes | List of all members
PresetManager Class Reference

`#include <PresetManager.h>`

Inheritance diagram for PresetManager:

## Public Member Functions
| PresetManager (VST3Plugin *plugin, const TUID &cid)
tresult | runLoadPresetBrowser () override
tresult | runSavePresetBrowser () override
tresult | loadNextPreset () override
tresult | loadPreviousPreset () override
DEFINE_INTERFACES DEF_INTERFACE(IInterAppAudioPresetManager) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) private NSArray * | getPresetPaths (PresetPathType type)
tresult | loadPreset (bool next)
tresult | loadPreset (const char *path)
void | savePreset (const char *path)
virtual tresult | runLoadPresetBrowser ()=0
virtual tresult | runSavePresetBrowser ()=0
virtual tresult | loadNextPreset ()=0
virtual tresult | loadPreviousPreset ()=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Public Attributes
VST3Plugin * | plugin
PresetBrowserViewController * | visiblePresetBrowserViewController
PresetSaveViewController * | visibleSavePresetViewController
FUID | cid
String | lastPreset

## Additional Inherited Members
Static Public Attributes inherited from IInterAppAudioPresetManager
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Constructor & Destructor Documentation

## ◆ PresetManager()

PresetManager | ( | VST3Plugin * | plugin,
|  | const TUID & | cid
| ) |  |

## Member Function Documentation

## ◆ runLoadPresetBrowser()

tresult runLoadPresetBrowser | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

## ◆ runSavePresetBrowser()

tresult runSavePresetBrowser | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

## ◆ loadNextPreset()

tresult loadNextPreset | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

## ◆ loadPreviousPreset()

tresult loadPreviousPreset | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

## ◆ getPresetPaths()

NSArray * getPresetPaths | ( | PresetPathType | type | ) |

## ◆ loadPreset() [1/2]

tresult loadPreset | ( | bool | next | ) |

## ◆ loadPreset() [2/2]

tresult loadPreset | ( | const char * | path | ) |

## ◆ savePreset()

void savePreset | ( | const char * | path | ) |

## Member Data Documentation

## ◆ plugin

VST3Plugin* plugin

## ◆ visiblePresetBrowserViewController

PresetBrowserViewController* visiblePresetBrowserViewController

## ◆ visibleSavePresetViewController

PresetSaveViewController* visibleSavePresetViewController

## ◆ cid

FUID cid

## ◆ lastPreset

String lastPreset

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.